Get the current status of a QR code

Get the current status of a QR Code pairing request.

get

Possible statuses: pending, approved, expired, rejected. This endpoint is usually polled every few seconds by the initiating device until the QR Code is approved or expired.

Path parameters
qrCodeIdstring · uuidRequired

The unique identifier of the QR Code session.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

get
/api/v1/users/auth/passwordless/qrcode/{qrCodeId}

Last updated